What's the CVSS score of your company?

Patch  oval:org.mitre.oval:def:13367
DSA-1978-1 phpgroupware -- several  

Several remote vulnerabilities have been discovered in phpgroupware, a Web based groupware system written in PHP. The Common Vulnerabilities and Exposures project identifies the following problems: CVE-2009-4414 An SQL injection vulnerability was found in the authentication module. CVE-2009-4415 Multiple directory traversal vulnerabilities were found in the addressbook module. CVE-2009-4416 The authentication module is affected by cross-site scripting. For the stable distribution these problems have been fixed in version 1:0.9.16.012+dfsg-8+lenny1. For the unstable distribution these problems have been fixed in version 0.9.16.012+dfsg-9. We recommend that you upgrade your phpgroupware packages.
Create Date: 2011-10-11 Last Update Date: 2015-02-23

Affected Platforms/Products

Affected Products (CPE + CVE references)
Platforms: unix (from OVAL definitions) Products: unix
  • Debian GNU/Linux 5.0
  • phpgroupware

References

Criteria

The patch should be installed
IF : All of the following are true
Prerequisites (Extended Definitions)
Debian GNU/Linux 5.0 is installed oval:org.mitre.oval:def:6513
IF : Installed architecture is all
Uname Test :  Installed architecture is all 
At least one of the objects listed below must exist on the system (Existence check)
Unix : uname Object The single uname object.
Output of "uname -a"
IF : Any one of the following are true Packages section
IF : phpgroupware-0.9.16-notes DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1
Linux : Debian DPKG Test :  phpgroupware-0.9.16-notes DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package phpgroupware-0.9.16-notes package information
phpgroupware-0.9.16-notes
RPM Version less than 1:0.9.16.012+dfsg-8+lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : phpgroupware-0.9.16-doc DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1
Linux : Debian DPKG Test :  phpgroupware-0.9.16-doc DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package phpgroupware-0.9.16-doc package information
phpgroupware-0.9.16-doc
RPM Version less than 1:0.9.16.012+dfsg-8+lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : phpgroupware-0.9.16-admin DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1
Linux : Debian DPKG Test :  phpgroupware-0.9.16-admin DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package phpgroupware-0.9.16-admin package information
phpgroupware-0.9.16-admin
RPM Version less than 1:0.9.16.012+dfsg-8+lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : phpgroupware-0.9.16-calendar DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1
Linux : Debian DPKG Test :  phpgroupware-0.9.16-calendar DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package phpgroupware-0.9.16-calendar package information
phpgroupware-0.9.16-calendar
RPM Version less than 1:0.9.16.012+dfsg-8+lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : phpgroupware-0.9.16-phpgwapi DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1
Linux : Debian DPKG Test :  phpgroupware-0.9.16-phpgwapi DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package phpgroupware-0.9.16-phpgwapi package information
phpgroupware-0.9.16-phpgwapi
RPM Version less than 1:0.9.16.012+dfsg-8+lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : phpgroupware-0.9.16-addressbook DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1
Linux : Debian DPKG Test :  phpgroupware-0.9.16-addressbook DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package phpgroupware-0.9.16-addressbook package information
phpgroupware-0.9.16-addressbook
RPM Version less than 1:0.9.16.012+dfsg-8+lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : phpgroupware-0.9.16-email DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1
Linux : Debian DPKG Test :  phpgroupware-0.9.16-email DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package phpgroupware-0.9.16-email package information
phpgroupware-0.9.16-email
RPM Version less than 1:0.9.16.012+dfsg-8+lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : phpgroupware-0.9.16-setup DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1
Linux : Debian DPKG Test :  phpgroupware-0.9.16-setup DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package phpgroupware-0.9.16-setup package information
phpgroupware-0.9.16-setup
RPM Version less than 1:0.9.16.012+dfsg-8+lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : phpgroupware-0.9.16-phpgwapi-doc DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1
Linux : Debian DPKG Test :  phpgroupware-0.9.16-phpgwapi-doc DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package phpgroupware-0.9.16-phpgwapi-doc package information
phpgroupware-0.9.16-phpgwapi-doc
RPM Version less than 1:0.9.16.012+dfsg-8+lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : phpgroupware-0.9.16-todo DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1
Linux : Debian DPKG Test :  phpgroupware-0.9.16-todo DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package phpgroupware-0.9.16-todo package information
phpgroupware-0.9.16-todo
RPM Version less than 1:0.9.16.012+dfsg-8+lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : phpgroupware-0.9.16-preferences DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1
Linux : Debian DPKG Test :  phpgroupware-0.9.16-preferences DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package phpgroupware-0.9.16-preferences package information
phpgroupware-0.9.16-preferences
RPM Version less than 1:0.9.16.012+dfsg-8+lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : phpgroupware-0.9.16-core-base DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1
Linux : Debian DPKG Test :  phpgroupware-0.9.16-core-base DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package phpgroupware-0.9.16-core-base package information
phpgroupware-0.9.16-core-base
RPM Version less than 1:0.9.16.012+dfsg-8+lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : phpgroupware-0.9.16-news-admin DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1
Linux : Debian DPKG Test :  phpgroupware-0.9.16-news-admin DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package phpgroupware-0.9.16-news-admin package information
phpgroupware-0.9.16-news-admin
RPM Version less than 1:0.9.16.012+dfsg-8+lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : phpgroupware-0.9.16-filemanager DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1
Linux : Debian DPKG Test :  phpgroupware-0.9.16-filemanager DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package phpgroupware-0.9.16-filemanager package information
phpgroupware-0.9.16-filemanager
RPM Version less than 1:0.9.16.012+dfsg-8+lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : phpgroupware-0.9.16 DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1
Linux : Debian DPKG Test :  phpgroupware-0.9.16 DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package phpgroupware-0.9.16 package information
phpgroupware-0.9.16
RPM Version less than 1:0.9.16.012+dfsg-8+lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : phpgroupware-0.9.16-core DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1
Linux : Debian DPKG Test :  phpgroupware-0.9.16-core DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package phpgroupware-0.9.16-core package information
phpgroupware-0.9.16-core
RPM Version less than 1:0.9.16.012+dfsg-8+lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : phpgroupware-0.9.16-manual DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1
Linux : Debian DPKG Test :  phpgroupware-0.9.16-manual DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package phpgroupware-0.9.16-manual package information
phpgroupware-0.9.16-manual
RPM Version less than 1:0.9.16.012+dfsg-8+lenny1 (datatype=evr_string)
linux : dpkginfo_state 
IF : phpgroupware DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1
Linux : Debian DPKG Test :  phpgroupware DPKG is earlier than 1:0.9.16.012+dfsg-8+lenny1 
At least one of the objects listed below must exist on the system (Existence check)
Linux : Debian DPKG Package phpgroupware package information
phpgroupware
RPM Version less than 1:0.9.16.012+dfsg-8+lenny1 (datatype=evr_string)
linux : dpkginfo_state 

Quick Help

evr_string datatype
Represents epoch, version, and release number as a single version string
Other Help Topics
Data Types
What is an Object?
What is a State?
What is a Test?
Other Help Topics
Regular Expression Patterns
Some object or state definitions are defined as regular expression patterns, you should interpret the regexp pattern while evaluating them.

OVAL Definitions By Referenced Objects

How does it work?   User agreement and privacy statement   About & Contact
CVE is a registred trademark of the MITRE Corporation and the authoritive source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritive source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritive source of OVAL content is MITRE's OVAL web site.
Warning: This site and all data are provided as is. It is not guaranteed that all information is accurate and complete. Use any information provided on this site at your own risk. By using this site you accept that you know that these data are provided as is and not guaranteed to be accurate, correct or complete. All trademarks appearing on this site are the property of their respective owners in the US or other countries. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss. PLEASE SEE nvd.nist.gov and oval.mitre.org for more details about OVAL language and definitions.
The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor/web site owner/maintainer be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.
Use of OVAL and all related data is subject to terms of use defined by Mitre at http://oval.mitre.org/oval/about/termsofuse.html